UNIT UTST_Frame_in_DLL;
{$mode ObjFPC}{$H+}
INTERFACE
USES
    Classes
  , Sysutils
  , ExtCtrls
  , Forms
  , Graphics
  , controls
  , ComCtrls
  ;


TYPE
  TCL_Frame = CLASS( TObject )
    PRIVATE { Attribute }
      mo_Frame : TFrame;
      mo_PNL_Top : TPanel;
      mo_PNL_Bot : TPanel;
      mo_TabSheet : TTabSheet;
    PRIVATE { Objecte }

    PRIVATE { Event-Handler }

    PRIVATE { SET'ter}

    PRIVATE { GET'ter}

    PROTECTED { Functions }
    PROTECTED { Procedures }
    PROTECTED { Event-Handler }
    PROTECTED { Property's }

    PUBLIC
      CONSTRUCTOR Create( io_Owner : TTabSheet; iv_Color : TColor );
      DESTRUCTOR  Destroy;                                                                          OVERRIDE;
    PUBLIC { Functions }
      FUNCTION    ACTIVATE : Boolean;
    PUBLIC { Procedures }

    PUBLIC { Event-Handler }
    PUBLIC { Property's }
  END;




IMPLEMENTATION


{===================================================================================================
===================================================================================================}
CONSTRUCTOR TCL_Frame.Create( io_Owner : TTabSheet; iv_Color : TColor );
BEGIN
  INHERITED Create;
  mo_Frame        := TFrame.Create( io_Owner );
  mo_TabSheet     := io_Owner;
  mo_Frame.Align  := alClient;
  mo_Frame.Color  := iv_Color;
  mo_Frame.Parent := io_Owner;
  mo_PNL_Top      := TPanel.Create( mo_Frame );

  mo_PNL_Top.Parent := mo_Frame;
  mo_PNL_Top.Align := alTop;
  mo_PNL_Top.Name := 'PNL_Top';
  mo_PNL_Top.Caption := 'Panel_Top';
  mo_PNL_Top.Color := clDefault;

  mo_PNL_Bot      := TPanel.Create( mo_Frame );
  mo_PNL_Bot.Parent := mo_Frame;
  mo_PNL_Bot.Align := alBottom;
  mo_PNL_Bot.Name := 'PNL_Bot';
  mo_PNL_Bot.Caption := 'Panel_Bottom';
  mo_PNL_Bot.Color := clDefault;
END;



{===================================================================================================
===================================================================================================}
DESTRUCTOR TCL_Frame.Destroy;
BEGIN
  INHERITED Destroy;
END;


{===================================================================================================
===================================================================================================}
FUNCTION TCL_Frame.ACTIVATE : Boolean;
BEGIN
  mo_TabSheet.PageControl.TabIndex := mo_TabSheet.TabIndex;
END;





END.

